Skip to content

List Auto Scaling Group SSH Keys

GET
/notebooks/autoscale-groups/{group_id}/ssh-keys/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/autoscale-groups/{group_id}/ssh-keys/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Returns the SSH keys of an Auto Scaling Group. Every VM in the group gets these keys.

group_id
required
integer

Auto Scaling Group ID

project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

The SSH keys

Media typeapplication/json
object
code
integer
message
string
data

The SSH keys of the group. Every VM in the group gets them.

object
ssh_keys
Array<object>
object
pk

ID of the SSH key.

integer
label
string
ssh_key

The public key.

string
errors
object

Example

{
"code": 200,
"message": "Success",
"data": {
"ssh_keys": [
{
"pk": 88,
"label": "laptop",
"ssh_key": "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIExampleKeyOnlyNotARealKey user@example.com"
}
]
},
"errors": {}
}

project_id is missing or not a number.

Media typeapplication/json
object
code
integer
message
string
data
object
errors
string

Example

{
"code": 400,
"message": "Bad Request",
"data": {},
"errors": "Project ID is missing or invalid"
}

No Auto Scaling Group with that ID in the project and region.

Media typeapplication/json
object
code
integer
message
string
data
object
errors
string

Example

{
"code": 404,
"message": "Bad Request",
"data": {},
"errors": "Autoscale Group not found"
}